<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bDepartamento,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null) {
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
	<title><%= resTit.getString("titMtoDepartamentos")%></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
	<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
	<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bBusqDescrip.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div class="popup" id="capaDesc">
</div>
<%
	int contador = 0;
	String sql = "", sql2 = "";
	String codigo="", descripcion="", edescripcion="", cod_xlnet="", situacion="";
	String accion, mensaje;
	String existe = "";

	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje");
	accion = request.getParameter("Accion");
	if (accion==null)
		accion="";
	m05bDepartamento departamento = null;
	if (accion.equals(m05bConstantes.ACC_INSERTAR)) {
		codigo= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bDepartamento");
	} else {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		departamento = (m05bDepartamento)session.getAttribute("m05bDepartamento");
		descripcion=departamento.getDep_descripcion();
		edescripcion=departamento.getDep_edescripcion();
		cod_xlnet=departamento.getDep_cod_xlnet();
		situacion=departamento.getDep_situacion();
		if (situacion != null && (situacion.toUpperCase().equals("ON") || situacion.toUpperCase().equals("A"))) {
			situacion="A";
		} else {
			situacion="B";
		}
		if (codigo.equals("0"))
			codigo="";
	}
	PrintWriter outMsg = response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 4));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)) {
		accion=m05bConstantes.ACC_ACTUALIZAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
    } else if (mensaje.equals(m05bConstantes.MSG_EXISTEDPTOREL)) {
    	existe = request.getParameter("Existe");
    	if (existe.equals("S")) {
    		accion=m05bConstantes.ACC_ACTUALIZAR;
    	} else {
			accion=m05bConstantes.ACC_INSERTAR;
		}
	    outMsg.println("<script>alert(dameAlerta(idioma, 283));</script>");
	}
	//outMsg.close();
	if (descripcion==null)
		descripcion="";
	if (edescripcion==null)
		edescripcion="";
	if (departamento == null) {
		departamento = new m05bDepartamento();
		session.setAttribute("m05bDepartamento",departamento);
	}
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_DEPARTAMENTOS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelDepartamentos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_DEPARTAMENTOS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoDepartamentos")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formDepartamentos" METHOD="POST">
				<TABLE class="general">
					<tr>
						<td width="90%" align="right">
							<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						</td>
						<td width="10%" align="right">
							<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						</td>
					</tr>
				</TABLE>

				<p>
				
				<TABLE class="general">
					<tr>
						<td width="40%"> <INPUT class="inputField" TYPE="hidden" NAME="DescripcionAnt" VALUE="<%=descripcion%>" size="48" maxlength="100"/> </td>
						<td width="40%"> <INPUT class="inputField" TYPE="hidden" NAME="EdescripcionAnt" VALUE="<%=edescripcion%>" size="48" maxlength="100"/> </td>
						<td width="40%"> <INPUT class="inputField" TYPE="hidden" NAME="CodXlnetAnt" VALUE="<%=cod_xlnet%>" size="48" maxlength="10"/> </td>
						<td width="40%"> <INPUT class="inputField" TYPE="hidden" NAME="SituacionAnt" VALUE="<%=situacion%>" size="48" maxlength="1"/> </td>
					</tr>
				</TABLE>

				<TABLE class="general">
					<tr>
						<td width="18%" valign="top" class="inputFieldTitle">C&oacute;digo</td>
						<td width="40%" valign="top" class="inputFieldTitle">Descripci&oacute;n</td>
						<td width="40%" valign="top" class="inputFieldTitle">Descripci&oacute;n Euskera</td>
					</tr>
				</TABLE>

				<TABLE id="table1" class="general">
					<tr>
						<%if (codigo.equals("") || mensaje.equals("Existe") || existe.equals("N")) {%>
							<td align="left" width="18%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=departamento.getDep_codigo()%>" size="19" maxlength="5"/> </td>
						<%} else {%>
							<td align="left" width="18%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" DISABLED VALUE="<%=departamento.getDep_codigo()%>" size="19" maxlength="5"/> </td>
						<%}%>
						<td id="td1" align="left" width="40%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=descripcion%>" size="48" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_DEPARTAMENTOS%>','<%=m05bConstantes.COL_06_DESCDPTO%>','');"/> </td>
						<td id="td2" align="left" width="40%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Edescripcion" VALUE="<%=edescripcion%>" size="48" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td2','table1','<%=m05bConstantes.TAB_DEPARTAMENTOS%>','<%=m05bConstantes.COL_06_EDESCDPTO%>','');"/> </td>
					</tr>
				</TABLE>

				<TABLE class="general">
					<tr>
						<td width="18%" valign="top" class="inputFieldTitle"></td>
						<td width="40%" valign="top" class="inputFieldTitle">Departamento relacionado</td>
						<td width="40%" valign="top" class="inputFieldTitle">Situaci&oacute;n en alta</td>
					</tr>
				</TABLE>

				<TABLE id="table2" class="general">
					<tr>
						<td id="td3" align="left" width="18%"></td>
						<td id="td4" align="left">
		    			   	<div id="comboDpto" name="comboDpto">
								<select class="inputField" NAME="CodXlnet" <%=cod_xlnet%> onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()" />
							    	<option value=""></option>
								</select>
							</div>
						</td>
						<td id="td5" align="left" width="40%"><INPUT class="inputField" TYPE="CHECKBOX" NAME="Situacion" title="Alta" <%if (situacion!=null && situacion.toUpperCase().equals("A")){%> checked <%}%> size="25"/></td>
					</tr>
				</TABLE>

			</FORM>
		</td>
	</tr>
	<tr>
		<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<script language="JavaScript">
    function fncGrabar(codigo,accion) {
	 	var docu = document.formDepartamentos;
 	 	if(docu.Codigo.value=="") {
			alert(dameAlerta(idioma, 0));
			docu.Codigo.focus();
			return;
		}
	 	if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')) {
			alert(dameAlerta(idioma, 1));
			docu.Codigo.focus();
			return;
		}
		if(docu.Descripcion.value=="") {
			alert(dameAlerta(idioma, 0));
			docu.Descripcion.focus();
			return;
		}
		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')) {
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return;
		}
		if(docu.Edescripcion.value=="") {
			alert(dameAlerta(idioma, 0));
			docu.Edescripcion.focus();
			return;
		}
		if(existeCaracter(docu.Edescripcion.value,"\'")||existeCaracter(docu.Edescripcion.value,'\"')) {
			alert(dameAlerta(idioma, 1));
			docu.Edescripcion.focus();
			return;
		}

		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>') {
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}

	    document.formDepartamentos.action="m05bGrabarDepartamentoServlet?Codigo=" + codigo + "&Accion=" + accion;
	    document.formDepartamentos.submit();
	}
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>

<%
	String opcionesCombo = "";

	SecurityHelpperXLNets sh = new SecurityHelpperXLNets();
	sh.setHttpRequest(request);
	ArrayList listaD = sh.getDepartamentosYOrganismosXLNETs();
	int i=0;
	if (listaD != null) {
		String codigoD = "";
		String descC = "";
		String descE = "";
		String descMostrar = "";
		for (i=0; i < listaD.size(); i++) {
			codigoD	= ((m05bDepartamentoXLNET)listaD.get(i)).getCodigo();
			descC 	= ((m05bDepartamentoXLNET)listaD.get(i)).getDescC();
			descE 	= ((m05bDepartamentoXLNET)listaD.get(i)).getDescE();
			if (idiomaSes == "eu" && descE != "") {
				descMostrar = descE;
			} else {
				descMostrar = descC;
			}
			if (codigoD.equals(cod_xlnet)) {
				opcionesCombo += "<option selected value='"+codigoD+"'>"+descMostrar+"</option>";
			} else {
				opcionesCombo += "<option value='"+codigoD+"'>"+descMostrar+"</option>";
			}
		}
	}

	//Recargamos el combo de departamentos:
	outMsg.println("<script>strVacio='';</script>");
	String strComboDepto = "";
	strComboDepto+=" <select class='inputField' NAME='CodXlnet' id='CodXlnet' onKeypress='buscar_op(this,this)' onblur='borrar_buffer()' onclick='borrar_buffer()'> ";
	strComboDepto+=" <option value=''></option> ";
	strComboDepto+=opcionesCombo;
	strComboDepto=strComboDepto.replaceAll("\"", "'");
    outMsg.println("<script>document.getElementById('comboDpto').innerHTML=\""+strComboDepto+"\";</script>");
    outMsg.close();
%>